%define debug_package %{nil}

Summary:	File and archive manager
Name:		peazip
Version:	5.1.1
Release:	%mkrel 1
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.src.zip
# configure to run in users home appdata
Source1:	altconf.txt
License:	LGPLv3
Group:		File tools
Url:		http://peazip.sourceforge.net/peazip-linux.html
BuildRequires:	lazarus >= 1.0.8
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	icoutils
Requires:	p7zip
Requires:	upx >= 3.09

%description
PeaZip is a free cross-platform file archiver that provides an unified
portable GUI for many Open Source technologies like 7-Zip, FreeArc, PAQ,
UPX...

%prep
%setup -q -n %{name}-%{version}.src
chmod +w res/lang

%build
lazbuild -B project_peach.lpi project_pea.lpi project_gwrap.lpi

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -rf res/icons
cp -r res %{buildroot}%{_datadir}/%{name}
cp %{SOURCE1} %{buildroot}%{_datadir}/%{name}/res

#install helper apps
mkdir -p %{buildroot}%{_datadir}/%{name}/res/{7z,upx}
ln -s %{_bindir}/7z  %{buildroot}%{_datadir}/%{name}/res/7z
ln -s %{_bindir}/upx  %{buildroot}%{_datadir}/%{name}/res/upx

install pea %{buildroot}%{_datadir}/%{name}/res
ln -s %{_datadir}/%{name}/res/pea %{buildroot}%{_bindir}/pea
install %{name} %{buildroot}%{_datadir}/%{name}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}
install pealauncher %{buildroot}%{_datadir}/%{name}/res
ln -s %{_datadir}/%{name}/res/pealauncher %{buildroot}%{_bindir}/pealauncher

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PeaZip
MimeType=application/x-gzip;application/x-lha;application/x-tar;application/x-tgz;application/x-tbz;application/x-tbz2;application/x-zip;application/zip;application/x-bzip;application/x-rar;application/x-tarz;application/x-archive;application/x-bzip2;application/x-jar;application/x-deb;application/x-ace;application/x-7z;application/x-arc;application/x-arj;application/x-compress;application/x-cpio;
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=GTK;KDE;Utility;System;Archiving;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
icotool -x -i 1 -o %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png %{name}.ico
rm -rf %{buildroot}%{_datadir}/%{name}/res/icons

%files
%doc readme copying.txt
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}


%changelog
* Tue Oct 15 2013 dams <dams> 5.1.1-1.mga4
+ Revision: 500632
- new version 5.1.1

  + fwang <fwang>
    - now based on gtk

* Fri Sep 13 2013 fwang <fwang> 5.1.0-1.mga4
+ Revision: 478289
- new version 5.1.0

* Tue Jun 25 2013 dams <dams> 5.0-2.mga4
+ Revision: 446651
- Finally disable debug as it's an empty rpm...
- Try to make specfile better...
- Add 'pea' and 'pealauncher'
- Enable debug package

* Tue Jun 25 2013 dams <dams> 5.0-1.mga4
+ Revision: 446620
- new version 5.0

* Tue Jun 25 2013 dams <dams> 4.9.2-1.mga4
+ Revision: 446606
- fix icons installation
- clean specfile
- improve icon rendering by providing a better icon size

  + joequant <joequant>
    - update to 4.9.2
    - get compile for 64-bit
      set up directories so that everything works

  + malo <malo>
    - update to 4.6.1
    - builds only on i586
    - imported package peazip

